/****************************************************************************
          Copyright (C) 1995, University of California, Davis

          THIS SOFTWARE IS MADE AVAILABLE, AS IS, AND THE UNIVERSITY
          OF CALIFORNIA DOES NOT MAKE ANY WARRANTY ABOUT THE SOFTWARE, ITS
          PERFORMANCE, ITS MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR
          USE, FREEDOM FROM ANY COMPUTER DISEASES OR ITS CONFORMITY TO ANY
          SPECIFICATION. THE ENTIRE RISK AS TO QUALITY AND PERFORMANCE OF
          THE SOFTWARE IS WITH THE USER.

          Copyright of the software and supporting documentation is
          owned by the University of California, and free access
          is hereby granted as a license to use this software, copy this
          software and prepare derivative works based upon this software.
          However, any distribution of this software source code or
          supporting documentation or derivative works (source code and
          supporting documentation) must include this copyright notice.
****************************************************************************/

/***************************************************************************
 *
 * University of California, Davis
 * UCDMC DICOM Network Transport Libraries
 * Version 0.1 Beta
 *
 * Technical Contact: mhoskin@ucdavis.edu
 *
 ***************************************************************************/

/***********************************************************************
 *
 * Cheked (Verified) PDU_Service Class.
 *
 ***********************************************************************/
//##ModelId=38F5FEDA0207
class	CheckedPDU_Service	:
	public		PDU_Service
	{
	//##ModelId=38F5FEDB008C
	UINT		SOPUIDListCount;
	//##ModelId=38F5FEDB0045
	UINT		TransferUIDListCount;
	//##ModelId=38F5FEDB0009
	UINT		ApplicationUIDListCount;
	//##ModelId=38F5FEDA03BF
	UINT		RemoteAEListCount;
	//##ModelId=38F5FEDA038D
	UINT		LocalAEListCount;
	//##ModelId=38F5FEDA035B
	char		**SOPUIDList;
	//##ModelId=38F5FEDA0333
	char		**SOPUIDListNames;
	//##ModelId=38F5FEDA0301
	char		**TransferUIDList;
	//##ModelId=38F5FEDA02E3
	char		**TransferUIDListNames;
	//##ModelId=38F5FEDA02C5
	char		**ApplicationUIDList;
	//##ModelId=38F5FEDA02A7
	char		**ApplicationUIDListNames;
	//##ModelId=38F5FEDA0289
	char		**RemoteAEList;
	//##ModelId=38F5FEDA0275
	char		**RemoteAEListNames;
	//##ModelId=38F5FEDA026B
	char		**LocalAEList;
	//##ModelId=38F5FEDA0257
	char		**LocalAEListNames;
	//##ModelId=38F5FEDB033F
		BOOL	CanYouHandleTransferSyntax(TransferSyntax	&);	
	//##ModelId=38F5FEDB02D0
		BOOL	ShouldIAcceptRemoteApTitle(BYTE *);
	//##ModelId=38F5FEDB026C
		BOOL	ShouldIAcceptLocalApTitle(BYTE *);
	//##ModelId=38F5FEDB0208
		BOOL	ShouldIAcceptApplicationContext(ApplicationContext &);
	//##ModelId=38F5FEDB01A4
		BOOL	ShouldIAcceptAbstractSyntax(AbstractSyntax &);
	public:
	//##ModelId=38F5FEDB015E
			CheckedPDU_Service (char	*filename);
	//##ModelId=38F5FEDB014A
			~CheckedPDU_Service ();
	//##ModelId=38F5FEDB00E6
			BOOL		InitializeFrom ( char *filename );
	//##ModelId=38F5FEDB00C8
			BOOL		ReleaseMemory ();
	};
				
