/****************************************************************************
          Copyright (C) 1995, University of California, Davis

          THIS SOFTWARE IS MADE AVAILABLE, AS IS, AND THE UNIVERSITY
          OF CALIFORNIA DOES NOT MAKE ANY WARRANTY ABOUT THE SOFTWARE, ITS
          PERFORMANCE, ITS MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR
          USE, FREEDOM FROM ANY COMPUTER DISEASES OR ITS CONFORMITY TO ANY
          SPECIFICATION. THE ENTIRE RISK AS TO QUALITY AND PERFORMANCE OF
          THE SOFTWARE IS WITH THE USER.

          Copyright of the software and supporting documentation is
          owned by the University of California, and free access
          is hereby granted as a license to use this software, copy this
          software and prepare derivative works based upon this software.
          However, any distribution of this software source code or
          supporting documentation or derivative works (source code and
          supporting documentation) must include this copyright notice.
****************************************************************************/

/***************************************************************************
 *
 * University of California, Davis
 * UCDMC DICOM Network Transport Libraries
 * Version 0.1 Beta
 *
 * Technical Contact: mhoskin@ucdavis.edu
 *
 ***************************************************************************/

// Verification SOP Service Class
BOOL	SetUID	(	UID	&,	VR	* );

//##ModelId=38F5FEED02AE
class	Verification	:
	public	CEchoRQ,
	public	CEchoRSP
	{
	public:
	//##ModelId=38F5FEED033A
		BOOL	GetUID ( UID & );
	public:
	//##ModelId=38F5FEED0326
		BOOL	Read ( PDU_Service *, DICOMCommandObject * );
	//##ModelId=38F5FEED0312
		BOOL	Write ( PDU_Service * );
	};

